4Suite™ API Documentation

# ► Module Ft.Rdf

An RDF processing library with support for persistent data models
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: ParseException, RdfException, SchemaHandler |  |  |  | Fields: ANONYMOUS_FRAGMENT_BASE, BNODE_BASE, BNODE_BASE_LEN, DAML_OIL_NS, OBJECT_TYPE_LITERAL, OBJECT_TYPE_RESOURCE, OBJECT_TYPE_UNKNOWN, OLD_DAML_OIL_NS, OWL_NS, RDF_MS_BASE, RDF_SCHEMA_BASE, RIL_NAMESPACE

## Modules

Container | Classes for RDF Container objects
Drivers | RDF model drivers for various databases
Inference |
MessageSource | Localizable exception messages for all of 4RDF
Model | The model container for RDF meta-data: represents a directed graph
Parsers |
RdfsHandler | An RDF schema validator for statements in a Model
Resource | An RDF resource
Serializers | Serializers create a serialized representation from an RDF model, or populate a model with statements from a serialized form. Currently the only built-in serializer for 4RDF handles a DOM form representing the XML serialization from the RDF Model and syntax recommendation at http://www.w3.org/TR/REC-rdf-syntax/.
Statement | An RDF statement
Triclops |
Util | Some useful utilities for RDF processing

## Classes

class ParseException(exceptions.Exception)

### Methods

__init__(self, errorCode, *args)

### Methods inherited from class exceptions.Exception

__getitem__, __str__

### Fields

FEATURE_NOT_SUPPORTED = 1
INVALID_CONTAINER_PROPERTY = 20
INVALID_CONTAINER_TYPE = 30
INVALID_PREDICATE = 10
MULTIPLE_VALUE_OBJECTS = 40
NONEMPTY_PROPELT_WITH_PROPATTRS = 50
NONEMPTY_PROPELT_WITH_RESATTR = 51

class RdfException(exceptions.Exception)

### Methods

__init__(self, errorCode, *args)

### Methods inherited from class exceptions.Exception

__getitem__, __str__

### Fields

ABOUT_EACH_OBJECT_NOT_CONTAINER = 100
FEATURE_NOT_SUPPORTED = 1
INTERNAL_ERROR = 0
INVALID_ARGUMENT = 5
INVALID_CONTAINER_ITEM_TYPE = 6
INVALID_CONTAINER_TYPE = 3
INVALID_FLAG = 2
INVALID_REGEX_STATEMENT = 4
MISSING_DRIVER = 200

class SchemaHandler

### Methods

add(self, statements)
contains(self, statements)
initModel(self)
remove(self, statements)
resume(self)
setActivity(self, value)
suspend(self)

## Fields

ANONYMOUS_FRAGMENT_BASE = 'anonymous:'
BNODE_BASE = 'http://4suite.org/rdf/anonymous/'
BNODE_BASE_LEN = 32
DAML_OIL_NS = 'http://www.w3.org/2001/10/daml+oil#'
OBJECT_TYPE_LITERAL = 'L'
OBJECT_TYPE_RESOURCE = 'R'
OBJECT_TYPE_UNKNOWN = '?'
OLD_DAML_OIL_NS = 'http://www.daml.org/2001/03/daml+oil#'
OWL_NS = 'http://www.w3.org/2002/07/owl#'
RDF_MS_BASE = 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'
RDF_SCHEMA_BASE = 'http://www.w3.org/2000/01/rdf-schema#'
RIL_NAMESPACE = 'http://namespaces.rdfinference.org/ril'